<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AppUserUserCreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'app_id' => 'required|regex:/^[0-9]{1,10}$/|',
            'app_username'  => 'required|min:2|max:14|unique:ag_app_user,app_username,'.$this->get('id').',id',
            'password' => 'required',
        ];
    }
}
